> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Chat (/api-reference/fansly/chats/create-chat)

Start a new chat (messaging group) with a Fansly user. Returns the created chat, including its `id` to use with the message endpoints. If a chat with this user already exists, Fansly returns the existing one.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-fansly-docs/openapi.yaml post /api/fansly/{fanslyAccount}/chats
openapi: 3.0.3
info:
  title: Fansly API Documentation
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: Account
    description: Endpoints for your linked Fansly accounts
  - name: Chat Messages
    description: Endpoints for Fansly chats (messaging groups)
  - name: Chats
    description: Endpoints for Fansly chats (messaging groups)
  - name: Connect Fansly Account
    description: ""
  - name: Earnings
    description: Endpoints for Fansly Earnings — wallets, balances, transactions,
      payouts, and statements.
  - name: Followers
    description: Endpoints for Fansly followers.
  - name: Lists
    description: Endpoints for Fansly subscriber/fan lists (e.g. "VIP", "Spenders").
  - name: Media
    description: Upload media for use in Fansly posts and messages
  - name: Profile Statistics
    description: Endpoints for Fansly Profile Statistics (viewer engagement insights).
  - name: Subscribers
    description: Endpoints for Fansly subscribers and subscription tiers.
  - name: Top Supporters
    description: Endpoints for the Fansly "Top Supporters" view — see who spends the
      most and what they spend on.
  - name: Tracking Links
    description: Endpoints for Fansly tracking links — per-source attribution links
      (e.g. "Twitter bio", "FYP", "Search").
  - name: Users
    description: APIs for fetching Fansly users
paths:
  /api/fansly/{fanslyAccount}/chats:
    parameters:
      - in: path
        name: fanslyAccount
        description: The Fansly Account ID
        example: fansly_acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    post:
      summary: Create Chat
      operationId: createChat
      description: Start a new chat (messaging group) with a Fansly user. Returns the
        created chat, including its `id` to use with the message endpoints. If a
        chat with this user already exists, Fansly returns the existing one.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    users:
                      - userId: "800000000000000001"
                        permissionFlags: 65535
                        userSettings:
                          hidden: 1
                        groupId: "200000000000000010"
                      - userId: "800000000000000002"
                        permissionFlags: 65535
                        userSettings:
                          hidden: 1
                        groupId: "200000000000000010"
                        dmPermissionFlags:
                          - id: "200000000000000020"
                            accountId: "800000000000000002"
                            type: 0
                            flags: 2
                            metadata: ""
                            verificationFlags: 0
                            verificationMetadata: "{}"
                          - id: "200000000000000021"
                            accountId: "800000000000000002"
                            type: 0
                            flags: 4
                            metadata: '{"4":"{\"subscriptionTierId\":\"\"}"}'
                            verificationFlags: 0
                            verificationMetadata: '{"4":"{\"errors\":[]}"}'
                    recipients: []
                    lastMessage: null
                    userSettings: null
                    type: 1
                    createdBy: "800000000000000001"
                    groupFlagsMetadata: ""
                    id: "200000000000000010"
                    permissionFlags: []
                    hasDmPermissionFlags: false
                    dmPermissionFlags:
                      - id: "200000000000000020"
                        accountId: "800000000000000002"
                        type: 0
                        flags: 2
                        metadata: ""
                        verificationFlags: 0
                        verificationMetadata: "{}"
                      - id: "200000000000000021"
                        accountId: "800000000000000002"
                        type: 0
                        flags: 4
                        metadata: '{"4":"{\"subscriptionTierId\":\"\"}"}'
                        verificationFlags: 0
                        verificationMetadata: '{"4":"{\"errors\":[]}"}'
                    accountDmPermissionFlags:
                      flags: 0
                      metadata: "{}"
                  _meta:
                    _credits:
                      used: 1
                      balance: 100000
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 5000
                      limit_day: null
                      remaining_minute: 4999
                      remaining_day: null
                      notice: We have decided to remove our daily rate limits. Please remove any
                        references to these in your integrations.
                properties:
                  data:
                    type: object
                    properties:
                      users:
                        type: array
                        example:
                          - userId: "800000000000000001"
                            permissionFlags: 65535
                            userSettings:
                              hidden: 1
                            groupId: "200000000000000010"
                          - userId: "800000000000000002"
                            permissionFlags: 65535
                            userSettings:
                              hidden: 1
                            groupId: "200000000000000010"
                            dmPermissionFlags:
                              - id: "200000000000000020"
                                accountId: "800000000000000002"
                                type: 0
                                flags: 2
                                metadata: ""
                                verificationFlags: 0
                                verificationMetadata: "{}"
                              - id: "200000000000000021"
                                accountId: "800000000000000002"
                                type: 0
                                flags: 4
                                metadata: '{"4":"{\"subscriptionTierId\":\"\"}"}'
                                verificationFlags: 0
                                verificationMetadata: '{"4":"{\"errors\":[]}"}'
                        items:
                          type: object
                          properties:
                            userId:
                              type: string
                              example: "800000000000000001"
                            permissionFlags:
                              type: integer
                              example: 65535
                            userSettings:
                              type: object
                              properties:
                                hidden:
                                  type: integer
                                  example: 1
                            groupId:
                              type: string
                              example: "200000000000000010"
                      recipients:
                        type: array
                        example: []
                      lastMessage:
                        type: string
                        example: null
                        nullable: true
                      userSettings:
                        type: string
                        example: null
                        nullable: true
                      type:
                        type: integer
                        example: 1
                      createdBy:
                        type: string
                        example: "800000000000000001"
                      groupFlagsMetadata:
                        type: string
                        example: ""
                      id:
                        type: string
                        example: "200000000000000010"
                      permissionFlags:
                        type: array
                        example: []
                      hasDmPermissionFlags:
                        type: boolean
                        example: false
                      dmPermissionFlags:
                        type: array
                        example:
                          - id: "200000000000000020"
                            accountId: "800000000000000002"
                            type: 0
                            flags: 2
                            metadata: ""
                            verificationFlags: 0
                            verificationMetadata: "{}"
                          - id: "200000000000000021"
                            accountId: "800000000000000002"
                            type: 0
                            flags: 4
                            metadata: '{"4":"{\"subscriptionTierId\":\"\"}"}'
                            verificationFlags: 0
                            verificationMetadata: '{"4":"{\"errors\":[]}"}'
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: "200000000000000020"
                            accountId:
                              type: string
                              example: "800000000000000002"
                            type:
                              type: integer
                              example: 0
                            flags:
                              type: integer
                              example: 2
                            metadata:
                              type: string
                              example: ""
                            verificationFlags:
                              type: integer
                              example: 0
                            verificationMetadata:
                              type: string
                              example: "{}"
                      accountDmPermissionFlags:
                        type: object
                        properties:
                          flags:
                            type: integer
                            example: 0
                          metadata:
                            type: string
                            example: "{}"
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 100000
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 5000
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 4999
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: We have decided to remove our daily rate limits. Please remove any
                              references to these in your integrations.
      tags:
        - Chats
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                user_id:
                  type: string
                  description: ""
                  example: qui
              required:
                - user_id
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````